name: neuralcvd
channels:
  - pytorch
  - conda-forge
  - dglteam
  - defaults
dependencies:
  - python=3.7
  - pytorch==1.7.1
  - torchvision==0.8.2
  - torchaudio==0.7.2
  - cudatoolkit=10.1
  - pytorch-lightning=1.2.3
  - scipy=1.6.1
  - nano
  - pandas>=1.2
  - numpy
  - matplotlib
  - hdf5=1.10.4
  - git
  - tqdm
  - ipython=7.21.0
  - ipython_genutils=0.2.0
  - ipykernel
  - imageio=2.9.0
  - psutil=5.6.3
  - tensorboardx=1.9
  - neptune-client>=0.9.5
  - lifelines>=0.25.10
  - seaborn>=0.11.1
  - requests>=2.24.0
  - prefect
  - tensorboardx
  - hydra-core>=1.0.6
  - omegaconf
  - cairo
  - dask
  - plotly>=4.14.3
  - prefect
  - pyaml
  - scikit-image
  - scikit-learn
  - seaborn
  - streamlit
  - xarray
  - pip
  - pip:
      - omegaconf>=2.0.6
      - git+https://github.com/AnotherSamWilson/miceforest.git  # nightly -> no official release
      - torchmetrics
      - scikit-metrics
      - scikit-survival
      - librosa
      - pytorch-lightning-bolts
      - pycox>=0.2.2
      - nvidia-htop
